package com.cim.idm.wmspackage.receiverequestdetail.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

public class MaterialReceiveRequestDetailKey extends FieldAccessor implements KeyInfo {
	@JsonProperty("SITENAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String siteName;
	@JsonProperty("RECEIVEREQUESTNAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String receiveRequestName;
	@JsonProperty("RECEIVEREQUESTDETAILNAME")@JsonIgnoreProperties(ignoreUnknown = true)
	private String receiveRequestDetailName;
	
	public MaterialReceiveRequestDetailKey(){}
	public MaterialReceiveRequestDetailKey(String siteName,String receiveRequestName,String receiveRequestDetailName)
	{
		this.siteName = siteName;
		this.receiveRequestName = receiveRequestName;
		this.receiveRequestDetailName = receiveRequestDetailName;
	}
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	public String getReceiveRequestName() {
		return receiveRequestName;
	}
	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}
	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}
	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}

	
	
}
